<template>
  <div class="content">
    <div v-if="getContentStatus === 'LOADING'">
      Loading...
    </div>
    <div v-if="getContentStatus === 'SUCCESS'">
      <gallery-item
        :content="getContent(this.$route.params.id)"
        :large="true"
      />
      <monetization-status />
    </div>
  </div>
</template>

<script>
import { mapGetters } from "vuex";
import FeedTypes from "../store/Types";
import GalleryItem from "../components/GalleryItem";
import { MonetizationStatus } from "@/modules/Monetization";

export default {
  name: "content-details",
  components: {
    "gallery-item": GalleryItem,
    "monetization-status": MonetizationStatus
  },
  computed: mapGetters(Object.values(FeedTypes.Getters)),
  created() {
    const contentId = this.$route.params.id;
    const content = this.$store.getters[FeedTypes.Getters.getContent](
      contentId
    );
    if (!content) {
      this.$store.dispatch(FeedTypes.Actions.loadContent, { contentId });
    }
  }
};
</script>
